Documentation

Requirements

vEXgine requires Java JDK 8 or later.

  • To create, edit and manage CVL models and metamodels, you can use Obeo Designer (with the UML Designer plugin).

  • To use or extend the vEXgine API, you need Maven and the libraries provided by vEXgine (located in the lib folder).

  • To create, edit or modify ATL transformations, you can use Eclipse Modeling Tools (with the ATL plugin).

vEXgine GUI application

In order to use the vEXgine GUI application, launch the demo/vEXgine.jar file as a Java application.

In the application:

  1. Load a variability model.
  2. Load a resolution model.
  3. Load a base model.
  4. (Optional) Load the metamodel of the base model (if not UML).
  5. (Mandatory in current version) Fill the base model name in the transformations (e.g., IN).
  6. (Mandatory in current version) Fill the metamodel name in the transformations (e.g., UML).

vEXgine API

In order to use the Application Programming Interface of vEXgine, please refer to the vEXgine Javadoc.

vEXgine API